//
// C++ Interface: crossrefdlg
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2007
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef CROSSREFDLG_H
#define CROSSREFDLG_H

#include <kdialogbase.h>
#include <qcheckbox.h>
class KLineEdit;

/**
	@author Thach Nguyen <thach.nguyen@rmit.edu.au>
*/
class CrossRefDlg : public KDialogBase
{
Q_OBJECT
public:
    CrossRefDlg(QWidget *parent = 0, const char *name = 0);

    ~CrossRefDlg();
	
	QString getUser();
	QString getPassword();
	bool isSaveAccount();

private:
	KLineEdit *userEdit;
	KLineEdit *passwordEdit;	
	QCheckBox *saveAccount;
	
};

#endif
